Skip to content
Sendtier Docs
API reference

List suppressed recipients

Source: OpenAPI (openapi/openapi.yaml).

curl -X GET "https://api.sendtier.example/suppressions" \  -H "Authorization: Bearer st_live_REPLACE_ME"
{  "data": [    {      "email": "string",      "reason": "bounce",      "created_at": "2019-08-24T14:15:22Z",      "source": "api"    }  ],  "next_cursor": "string"}
GET
/suppressions

Requires a full-scope key. Global suppressions are not included.

Authorization

headerAuthorizationBearer <token>

API key: st_live_... or st_test_...

Query Parameters

limit?integer
Range1 <= value <= 100
Default50
after?string

Cursor from next_cursor of the previous page.

reason?string
Value in"bounce""complaint""manual"

Response Body

A page of suppressions for this account.

application/json
  1. response
data*array<>
next_cursor?string